Bug 991533 - wifi denied association (code=17)
wifi denied association (code=17)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 12:41 EDT by Clodoaldo Pinto Neto
Modified: 2013-10-08 12:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:32:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages log (16.15 KB, text/x-log)
2013-08-02 12:41 EDT, Clodoaldo Pinto Neto
no flags Details
wpa_supplicant.log (343.43 KB, text/plain)
2013-08-06 08:07 EDT, Clodoaldo Pinto Neto
no flags Details

  None (edit)
Description Clodoaldo Pinto Neto 2013-08-02 12:41:01 EDT
Created attachment 782069 [details]
messages log

Description of problem:

Association to wireless AP is denied with an HP notebook.

Version-Release number of selected component (if applicable):

# uname -a
Linux cl.dkt 3.10.4-300.fc19.x86_64 #1 SMP Tue Jul 30 11:29:05 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

# dmesg | grep -i wifi

[   53.731643] Intel(R) Wireless WiFi driver for Linux, in-tree:d
[   53.731925] iwlwifi 0000:02:00.0: irq 42 for MSI/MSI-X
[   54.419069] iwlwifi 0000:02:00.0: loaded firmware version 39.31.5.1 build 35138 op_mode iwldvm
[   55.043650] iwlwifi 0000:02:00.0: CONFIG_IWLWIFI_DEBUG enabled
[   55.043656] iwlwifi 0000:02:00.0: CONFIG_IWLWIFI_DEBUGFS enabled
[   55.043659] iwlwifi 0000:02:00.0: CONFIG_IWLWIFI_DEVICE_TRACING disabled
[   55.043661] iwlwifi 0000:02:00.0: CONFIG_IWLWIFI_DEVICE_TESTMODE disabled
[   55.043663] iwlwifi 0000:02:00.0: CONFIG_IWLWIFI_P2P disabled
[   55.043666] iwlwifi 0000:02:00.0: Detected Intel(R) Centrino(R) Wireless-N 1000 BGN, REV=0x6C

How reproducible: Always at work. Never at home.

Steps to Reproduce:
1. Click on the desired network icon in the KDE network chooser.

Actual results: Association denied

Expected results: Network connection
Comment 1 Clodoaldo Pinto Neto 2013-08-02 12:44:00 EDT
The log line where the denial occurs:

Aug  2 13:06:02 cl kernel: [16687.139597] wlo1: ::MAC:: denied association (code=17)
Comment 2 Stanislaw Gruszka 2013-08-06 04:22:17 EDT
Please add -ddd option to OTHER_ARGS in /etc/sysconfig/wpa_supplicant file. It should looks like showed below:

OTHER_ARGS="-u -f -ddd /var/log/wpa_supplicant.log -P /var/run/wpa_supplicant.pid

Then restart machine, reproduce problem and attach /var/log/wpa_supplicant.log file here.
Comment 3 Clodoaldo Pinto Neto 2013-08-06 08:01:50 EDT
Just a correction if anyone is trying to reproduce. The -ddd argument must be placed before the -f argument:

OTHER_ARGS="-u -ddd -f /var/log/wpa_supplicant.log -P /var/run/wpa_supplicant.pid"

The error now in messages is another. Indeed I tried sometimes and the error varies at each try.

Is it necessary to restart the machine or just restarting the service is enough?

systemctl restart wpa_supplicant.service

I restarted the machine.
Comment 4 Clodoaldo Pinto Neto 2013-08-06 08:07:05 EDT
Created attachment 783295 [details]
wpa_supplicant.log
Comment 5 Josh Boyer 2013-09-18 16:26:09 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 6 Josh Boyer 2013-10-08 12:32:42 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.